## org.eclipse.jst.ws.annotations.core
Class AnnotationsManager

    java.lang.Object
      org.eclipse.jst.ws.annotations.core.AnnotationsManager

    public final class AnnotationsManager

extends java.lang.Object

Manages the annotation categories, definitions, processors and initializers contributed through the `org.eclipse.jst.ws.annotations.core.annotationDefinition`, `org.eclipse.jst.ws.annotations.core.annotationCategory`, `org.eclipse.jst.ws.annotations.core.annotationInitializer` and `org.eclipse.jst.ws.annotations.core.annotationProcessor` extension points.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Method Summary
`static IAnnotationAttributeInitializer` `getAnnotationAttributeInitializerForName(org.eclipse.jdt.core.dom.Name name)` Returns the `IAnnotationAttributeInitializer` for the given `Name` or null if none can be found.
`static java.util.List<java.lang.String>` `getAnnotationCategories()` Returns a list of the annotation categories.
`static AnnotationDefinition` `getAnnotationDefinitionForClass(java.lang.Class<? extends java.lang.annotation.Annotation> annotationClass)` Returns the `AnnotationDefinition` for the given `Annotation` class or null if no annotation definition can be found.
`static AnnotationDefinition` `getAnnotationDefinitionForClass(java.lang.String canonicalName)` Returns the `AnnotationDefinition` for the given fully qualified `Annotation` class name or null if no annotation definition can be found.
`static AnnotationDefinition` `getAnnotationDefinitionForType(org.eclipse.jdt.core.IType annotationType)` Returns the `AnnotationDefinition` for the given `IType` or null if no annotation definition can be found.
`static java.util.Map<java.lang.String,java.util.List<org.eclipse.core.runtime.IConfigurationElement>>` `getAnnotationProcessorsCache()`
`static java.util.List<AnnotationDefinition>` `getAnnotations()` Returns a list of `AnnotationDefinition` constructed from contributions to the `org.eclipse.jst.ws.annotations.core.annotationDefinition` extension point.
`static java.util.List<java.lang.Class<? extends java.lang.annotation.Annotation>>` `getAnnotations(org.eclipse.jdt.core.IJavaElement javaElement)` Deprecated. As of 1.1 replaced by `getAnnotationTypes(IJavaElement)`
`static java.util.List<AnnotationDefinition>` `getAnnotationsByCategory(java.lang.String categoryName)` Returns a list of all the `AnnotationDefinition` with the given annotation category name.
`static java.util.List<org.eclipse.jdt.core.IType>` `getAnnotationTypes(org.eclipse.jdt.core.IJavaElement javaElement)` Returns a list of all the contributed annotations that target the given `IJavaElement`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAnnotations

    public static java.util.List<AnnotationDefinition> getAnnotations()

  Returns a list of `AnnotationDefinition` constructed from contributions to the `org.eclipse.jst.ws.annotations.core.annotationDefinition` extension point.

  Returns:
    a list of annotation definitions.

### getAnnotationTypes

    public static java.util.List<org.eclipse.jdt.core.IType> getAnnotationTypes(org.eclipse.jdt.core.IJavaElement javaElement)

  Returns a list of all the contributed annotations that target the given `IJavaElement`.

  Parameters:
    `javaElement` - one of
    - org.eclipse.jdt.core.IPackageDeclaration
    - org.eclipse.jdt.core.IType
    - org.eclipse.jdt.core.IField
    - org.eclipse.jdt.core.IMethod
    - org.eclipse.jdt.core.ILocalVariable
  Returns:
    a list of types which represent annotation types.
  Since:
    1.1

### getAnnotations

    @Deprecated
    public static java.util.List<java.lang.Class<? extends java.lang.annotation.Annotation>> getAnnotations(org.eclipse.jdt.core.IJavaElement javaElement)

  Deprecated. As of 1.1 replaced by `getAnnotationTypes(IJavaElement)`

  Returns a list of all the contributed `Annotation` that target the given java element type.

  Parameters:
    `javaElement` - one of
    - org.eclipse.jdt.core.IPackageDeclaration
    - org.eclipse.jdt.core.IType
    - org.eclipse.jdt.core.IField
    - org.eclipse.jdt.core.IMethod
    - org.eclipse.jdt.core.ILocalVariable
  Returns:
    a list of annotations.

### getAnnotationDefinitionForClass

    public static AnnotationDefinition getAnnotationDefinitionForClass(java.lang.Class<? extends java.lang.annotation.Annotation> annotationClass)

  Returns the `AnnotationDefinition` for the given `Annotation` class or null if no annotation definition can be found.

  Parameters:
    `annotationClass` - the `java.lang.annotation.Annotation` class.
  Returns:
    the annotation definition for the `java.lang.annotation.Annotation` class.

### getAnnotationDefinitionForClass

    public static AnnotationDefinition getAnnotationDefinitionForClass(java.lang.String canonicalName)

  Returns the `AnnotationDefinition` for the given fully qualified `Annotation` class name or null if no annotation definition can be found.

  Parameters:
    `canonicalName` - the fully qualified name of the `java.lang.annotation.Annotation` class.
  Returns:
    the annotation definition for the fully qualified `java.lang.annotation.Annotation` class name.

### getAnnotationDefinitionForType

    public static AnnotationDefinition getAnnotationDefinitionForType(org.eclipse.jdt.core.IType annotationType)

  Returns the `AnnotationDefinition` for the given `IType` or null if no annotation definition can be found.

  Parameters:
    `annotationType` - an `org.eclipse.jdt.core.IType` which represents an annotation type.
  Returns:
    the annotation definition for the `org.eclipse.jdt.core.IType`.
  Since:
    1.1

### getAnnotationAttributeInitializerForName

    public static IAnnotationAttributeInitializer getAnnotationAttributeInitializerForName(org.eclipse.jdt.core.dom.Name name)

  Returns the `IAnnotationAttributeInitializer` for the given `Name` or null if none can be found.

  Parameters:
    `name` - a `SimpleName` or `QualifiedName` for the annotation to search for.
  Returns:
    an `IAnnotationAttributeInitializer` for the given name.

### getAnnotationsByCategory

    public static java.util.List<AnnotationDefinition> getAnnotationsByCategory(java.lang.String categoryName)

  Returns a list of all the `AnnotationDefinition` with the given annotation category name.

  Parameters:
    `categoryName` - the annotation category name.
  Returns:
    a list of annotation definitions.

### getAnnotationCategories

    public static java.util.List<java.lang.String> getAnnotationCategories()

  Returns a list of the annotation categories.

  Returns:
    a list of annotation categories.

### getAnnotationProcessorsCache

    public static java.util.Map<java.lang.String,java.util.List<org.eclipse.core.runtime.IConfigurationElement>> getAnnotationProcessorsCache()